Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.environment.params.simple
Class ParamsNotPresentException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  rice.environment.params.simple.ParamsNotPresentException

All Implemented Interfaces:
  java.io.Serializable

    public class ParamsNotPresentException

extends java.lang.RuntimeException

Unable to load the default parameters file. This is required for running pastry.

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  Jeff Hoye
See Also:
  Serialized Form

Constructor Summary
`ParamsNotPresentException(java.lang.String reason, java.lang.Exception e)`

Method Summary
`void` | `printStackTrace()` DESCRIBE THE METHOD
`void` | `printStackTrace(java.io.PrintStream arg0)` DESCRIBE THE METHOD
`void` | `printStackTrace(java.io.PrintWriter pw)` DESCRIBE THE METHOD

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParamsNotPresentException

    public ParamsNotPresentException(java.lang.String reason,
                                     java.lang.Exception e)

Parameters:
  `reason` - DESCRIBE THE PARAMETER
  `e` - DESCRIBE THE PARAMETER

Method Detail

### printStackTrace

    public void printStackTrace(java.io.PrintStream arg0)

  DESCRIBE THE METHOD

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `arg0` - DESCRIBE THE PARAMETER

### printStackTrace

    public void printStackTrace()

  DESCRIBE THE METHOD

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintWriter pw)

  DESCRIBE THE METHOD

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `pw` - DESCRIBE THE PARAMETER

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.